
Foreman - Support #13570

host.hostgroup search does not allow to search parent hostgroups

02/04/2016 03:00 PM - Jeff Sparrow

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Triaged:  Found in Releases: 1.6.3

Fixed in Releases:    

Description

If you have some host groups like:

/hostgroup/foobar/apple/banna

If you have hosts in any of the parents, you can not filter for facts.

eg; you can not use:

host.hostgroup ~ apple

host.hostgroup ~ foobar

host.hostgroup ~ hostgroup

it will only allow calls to

host.hostgroup ~ banana

This means if you have shared hostgroups where multiple teams might share, they can not filter for facts.

eg;

/Corporate/IT/NetworkTeam/

host1

host2

/Corporate/IT/NetworkTeam/foobar

host3

host4

because foobar now exists, searches into /Corporate/IT/NetworkTeam will fail.

The fact searching should be done the same as host searching with:

hostgroup_fullname ~

Related issues:

Is duplicate of Foreman - Feature #6116: search hosts by parent host group an... Closed 06/09/2014

History

#1 - 02/05/2016 03:13 AM - Dominic Cleal

- Is duplicate of Feature #6116: search hosts by parent host group and its decendants added

#2 - 02/05/2016 03:14 AM - Dominic Cleal

- Status changed from New to Feedback

- Assignee deleted (Daniel Lobato Garcia)

Use host.parent_hostgroup = apple

#3 - 05/17/2017 11:20 AM - Anonymous

- Tracker changed from Feature to Support

- Status changed from Feedback to Resolved
